from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

long_description = (here / "README.md").read_text(encoding="utf-8")

setup(
    name="PygameGUI-Praneeth",
    version="0.0.1",
    description="A small pygame GUI library",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/PraneethJain/PyGame-GUI",
    author="Praneeth Jain",
    author_email="praneethjain005@gmail.com",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords="pygame, GUI",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    python_requires=">=3.7",
    install_requires=["pygame"]
)